Market Data
data-indexList
Retrieve the list of market indexes.
Authorization
Bearer AuthorizationBearer <token>
Enter the JWT token in the format Bearer <token>.
In: header
Header Parameters
Content-Typestringrequired
The content format of the request body, use "application/json".
User-Agentstringoptional
Information about the client sending the request.
Accept-Languagestringoptional
The desired response language. If this header is absent, the system defaults to en.
Query Parameters
boardstringoptional
The exchange code for which to retrieve the list of indexes. The value can be `HOSE`, `HNX`, or `UPCOM`. If not provided, the system returns the list of indexes for all exchanges.
Response Headers
X-RATELIMIT-LIMITstringoptional
The request limit for the period.
X-RATELIMIT-REMAININGstringoptional
The number of requests remaining in the current period.
X-RATELIMIT-RESETstringoptional
The time at which the request limit resets.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/data/indexList" \ -H "Content-Type: application/json"Success
[
{
"index": "string",
"indexName": "string",
"board": "HOSE"
}
]Invalid request.
{
"code": "400",
"msg": "Invalid request"
}